tigase.xmpp.impl.push

## Class GroupchatPushNotificationsExtension

- java.lang.Object
- - tigase.xmpp.impl.push.GroupchatPushNotificationsExtension

- All Implemented Interfaces:
    PushNotificationsAware, PushNotificationsExtension

      @Bean(name="groupchat",
            parent=PushNotifications.class,
            active=true)
      public class GroupchatPushNotificationsExtension
      extends Object
      implements PushNotificationsExtension

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MessageDeliveryProviderIfc` | `message`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupchatPushNotificationsExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `shouldSendNotification(Packet packet, BareJID userJid, XMPPResourceConnection session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.xmpp.impl.push.PushNotificationsExtension

      `prepareNotificationPayload, setPushNotifications`

    - ### Methods inherited from interface tigase.xmpp.impl.push.PushNotificationsAware

      `getDiscoFeatures, processEnableElement`

- - ### Field Detail

    - #### message

          @Inject
          protected MessageDeliveryProviderIfc message

  - ### Constructor Detail

    - #### GroupchatPushNotificationsExtension

          public GroupchatPushNotificationsExtension()

  - ### Method Detail

    - #### shouldSendNotification

          public boolean shouldSendNotification(Packet packet,
                                                BareJID userJid,
                                                XMPPResourceConnection session)
                                         throws XMPPException

      Specified by:
        `shouldSendNotification` in interface `PushNotificationsExtension`
      Throws:
        `XMPPException`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.